Bug 2790 - syslogd dies if logfile reaches 2G-1 limit
: syslogd dies if logfile reaches 2G-1 limit
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/syslogd)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-07-29 16:59 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-29 16:59:57
Демон умирает по SIGXFSZ (File size limit exceeded) если один из его логфайлов
разрастается до двух гигабайт (2147483647 байт). Файл открывается успешно, но
попытка записи перерубается сигналом. После этого демон не стартует.

В случае когда файл больше 2G-1, open(2) возвращает EBIG и этот файл просто
пропускается.

На файловой системе квот/ограничений нет (ext2/ext3, я лично создавал большие
файлы). Кусок strace в Additional Information.
---

---
5033  select(47, [3 44 45 46], NULL, NULL, NULL) = 1 (in [44])
5033  recv(44, \"<134>Jul 29 16:52:45 postgres[37\"..., 1022,
0) = 75
5033  time([1059483165])                = 1059483165
5033  writev(39, [{\"Jul 29 16:52:45\", 15}, {\" \", 1},
{\"namo\", 4}, {\" \", 1}, {\"postgres[3759]:
[1410330] LOG:  \"..., 54}, {\"\\n\", 1}], 6) = 76
5033  writev(42, [{\"Jul 29 16:52:45\", 15}, {\" \", 1},
{\"namo\", 4}, {\" \", 1}, {\"postgres[3759]:
[1410330] LOG:  \"..., 54}, {\"\\n\", 1}], 6) = -1 EFBIG (File
too large)
5033  --- SIGXFSZ (File size limit exceeded) @ 0 (0) ---
5033  +++ killed by SIGXFSZ +++
------- Comment #1 From 2003-07-29 18:39:10 -------
Try to recompile with
%add_optflags -D_FILE_OFFSET_BITS=64
line added in %build section.

It should work but I have no platform for test ATM.
------- Comment #2 From 2003-07-29 18:39:10 -------
Try to recompile with
%add_optflags -D_FILE_OFFSET_BITS=64
line added in %build section.

It should work but I have no platform for test ATM.
------- Comment #3 From 2003-07-30 11:22:48 -------
%add_optflags -D_FILE_OFFSET_BITS=64 works just fine.

Security update would be nice ;-)
------- Comment #4 From 2003-07-30 11:22:48 -------
%add_optflags -D_FILE_OFFSET_BITS=64 works just fine.

Security update would be nice ;-)
------- Comment #5 From 2003-07-30 16:35:18 -------
Fixed in sysklogd-1.4.1-alt15
------- Comment #6 From 2003-07-30 16:35:18 -------
Fixed in sysklogd-1.4.1-alt15
------- Comment #7 From 2003-08-05 15:58:57 -------
Fixed in errata.
------- Comment #8 From 2003-08-05 15:58:57 -------
Fixed in errata.